Bug 192507 - [PATCH] databases/pgbouncer fix install without DOCS option
Summary: [PATCH] databases/pgbouncer fix install without DOCS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-08 11:02 UTC by dmitry2004
Modified: 2014-08-16 20:27 UTC (History)
2 users (show)

See Also:


Attachments
Patch (634 bytes, patch)
2014-08-08 11:02 UTC, dmitry2004
no flags Details | Diff
Remove docs option from pgbouncer (2.10 KB, patch)
2014-08-08 14:29 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dmitry2004 2014-08-08 11:02:53 UTC
Created attachment 145513 [details]
Patch

In pkg-plist rigidly listed man files, but they do not install witout DOCS option set.
Comment 1 John Marino freebsd_committer 2014-08-08 12:51:43 UTC
The pkg-plist is correct.

Man pages are always installed.   They should not be controlled by DOCS option.  If they are, that is a mistake.

man pages are not considered "DOCS".


Moveover, even if this wasn't the case, your page is wrong.  That's pre-stage notation.


Please acknowledge so I can close PR, it's invalid.
Comment 2 John Marino freebsd_committer 2014-08-08 14:05:29 UTC
Hmm, i just looked at the current state of the port, it's doing exactly what I said it shouldn't be doing.  I'll fix the port.
Comment 3 John Marino freebsd_committer 2014-08-08 14:06:47 UTC
let's CC the maintainer so he knows what's going on.
Comment 4 John Marino freebsd_committer 2014-08-08 14:09:41 UTC
this port also features <options>, <pre> and <post>, so there's an 80%+ chance that this is wrong.
Comment 5 John Marino freebsd_committer 2014-08-08 14:22:03 UTC
okay, I think what's going on is the man pages need to be generated which requires the xmlto dependency.  The maintainer is trying to give the user
the option not to build the man pages but this isn't conventional.

AFAICT, the DOCS option is limited only to manpages and not really docs.  In reality, we don't need any options at all on this port.
Comment 6 John Marino freebsd_committer 2014-08-08 14:29:56 UTC
Created attachment 145524 [details]
Remove docs option from pgbouncer

In my opinion, this is how pgbouncer should be modified.  The DOCS option is removed, manpages are always built.
Comment 7 John Marino freebsd_committer 2014-08-08 14:36:48 UTC
It looks like m.tsatsenko did this intentionally in bug 189787 so we need to wait and hear what he has to say.  

Steve Wills put it through, so maybe the logic is that xmlto is too heavy not to have an option to disable it, but we're always supposed to install man pages.
Comment 8 dmitry2004 2014-08-08 15:13:23 UTC
I would like to have the ability to disable extra dependency.
Comment 9 John Marino freebsd_committer 2014-08-08 15:18:18 UTC
(In reply to dmitry2004 from comment #8)
> I would like to have the ability to disable extra dependency.

If it's against policy, it's generally not going to happen (e.g. your desire doesn't play a part in the desire).  Maybe this particular case has been given a waiver, that's what I'm waiting to hear.

Nothing stops m.tsatsenko from pregenerating the man pages and providing them via ${FILESDIR} or a second download, so there are ways to avoid it if he really wants to.
Comment 10 John Marino freebsd_committer 2014-08-08 15:19:17 UTC
(In reply to John Marino from comment #9)
> If it's against policy, it's generally not going to happen (e.g. your desire
> doesn't play a part in the *desire).  Maybe this particular case has been

*decision
Comment 11 dmitry2004 2014-08-08 15:25:20 UTC
(In reply to John Marino from comment #9)
> pregenerating the man pages and providing them via ${FILESDIR}

That sounds good
Comment 12 commit-hook freebsd_committer 2014-08-10 21:43:18 UTC
A commit references this bug:

Author: marino
Date: Sun Aug 10 21:42:51 UTC 2014
New revision: 364574
URL: http://svnweb.freebsd.org/changeset/ports/364574

Log:
  databases/pgbouncer: Unconditionally install man pages

  This port had a couple of issues besided installing man pages as a
  function of the DOCS option selection.  It also was using <pre> and <post>
  inclusions with <options>, _DEPENDS were in multiple places.

  I regrouped the *_DEPENDS, I moved the options to just above the make
  targets (their conventional location) and I utilized <option>_*_DEPENDS
  as well after fixing the man pages.

  PR:		192507
  Reported by:	dmitry2004 (yandex.ru)
  Approved by:	Just Fix It (maintainer in copy)

Changes:
  head/databases/pgbouncer/Makefile
Comment 13 John Marino freebsd_committer 2014-08-10 21:45:10 UTC
I conferred with swills@ and he agreed the man pages shouldn't be built per option.  If the maintainer wants to make xmlto optional, then he could look at options that involve pregenerating the man pages to avoid it.
Comment 14 dmitry2004 2014-08-16 19:00:54 UTC
(In reply to John Marino from comment #13)
> I conferred with swills@ and he agreed the man pages shouldn't be built per
> option.  If the maintainer wants to make xmlto optional, then he could look
> at options that involve pregenerating the man pages to avoid it.

Distrib include pregenerated the man pages, xmlto dependency not need.
Comment 15 commit-hook freebsd_committer 2014-08-16 20:27:55 UTC
A commit references this bug:

Author: marino
Date: Sat Aug 16 20:27:15 UTC 2014
New revision: 365132
URL: http://svnweb.freebsd.org/changeset/ports/365132

Log:
  databases/pgbouncer: Remove unnecessary dependency xmlto

  It turns out that xmlto is not needed for documentation at all now.
  The man pages are pregenerated and provided in the tarball.

  PR:		192507
  Reported by:	dmitry2004 (yandex.ru)

Changes:
  head/databases/pgbouncer/Makefile